repository auto-update should be called on opening activity

2008-04-15 16:11 - Eike Bernhardt

Status: New Start date: 2008-04-15

Priority: Normal Due date:  

Assignee:  % Done: 0%

Category: SCM Estimated time: 0.00 hour

Target version:    

Resolution:    

Description

Hello,

I'm using redmine with a remote svn repository, and I do get automatic repository updates on visiting the "Repository" page - but only

there.

When just looking at the "Activity" page for a project, no auto-update is performed - so I don't see new changes in the repository.

So maybe  '@project.repository.fetch_changesets if Setting.autofetch_changesets?' should be added to the

ProjectsController.activity function, too?

Related issues:

Related to Redmine - Feature #1274: Add option to make auto-fetch changesets ... New 2008-05-21

History

#1 - 2008-05-07 17:53 - Luca Pireddu

- File autofetch_commits_for_activity.patch added

I would also like to see this feature.  Maybe a patch like this would be sufficient?

#2 - 2008-05-21 18:24 - Eike Bernhardt

- File redmine-autoupdate.diff added

One small thing seems to be missing - when you want to use "Overall activity", no project is selected - so Herve Harster is Nil.

Attached is a changed patch, which checks if Herve Harster is set - not really nice, since no fetching of source changes happens then - but this is

enough for me.

#3 - 2008-05-21 20:41 - Thomas Löber

Or you could call Repository.fetch_changesets in case @project is nil.

#4 - 2008-05-22 10:17 - Eike Bernhardt

- File redmine-autoupdate-v2.patch added

Thats even better .. see redmine-autoupdate-v2.patch - works for me.

#5 - 2009-09-24 00:54 - Nick Phillips

The patch works for me, as far as it goes, but it really needs to work through subprojects too...

#6 - 2013-03-18 17:28 - Dipan Mehta

+1. This must be integrated.

Files

autofetch_commits_for_activity.patch 839 Bytes 2008-05-07 Luca Pireddu

redmine-autoupdate.diff 842 Bytes 2008-05-21 Eike Bernhardt

redmine-autoupdate-v2.patch 945 Bytes 2008-05-22 Eike Bernhardt
